Subject: RE: bug#11939: 24.1; `save-buffers-kill-emacs' loses minibuffer focus whenit calls `list-processes'

From: "Drew Adams" <[email-masked]>
Date: Sun, 22 Jul 2012 18:13:57 -0700

> If you want to use Cygwin, you should run a Cygwin Emacs. Any ad-hoc
> Cygwin integration in NT Emacs is necessarily incomplete.

I appreciate the advice, but sorry, I like to live dangerously, I guess. ;-)

I have used vanilla GNU Emacs with Cygwin for decades, and I have no plans to
change that.

Yes, I am aware of the arguments and admonitions against it, esp. from Eli, and
I do not say that such are wrong.  But I am not interested, sorry.

My use of Cygwin is quite limited.  I do no code development, for example (other
than piddling around with Emacs Lisp for fun).

> Is there any
> interest in now taking my patch that allows compiling Cygwin Emacs
> with Win32 widgets? I've been using it since I submitted that patch,
> and it's been working fine for me.

Please do not sidetrack this bug thread.  Bring that topic up in emacs-devel if
you want to.  Thx.

(FWIW, I, for one, am not interested in a Cygwin Emacs.)